class StatusCodeHelper {

  static const String SSP_POLL_RESET = "0xF1";
  static const String SSP_POLL_NOTE_READ = "0xEF";
  static const String SSP_POLL_CREDIT = "0xEE";
  static const String SSP_POLL_REJECTING = "0xED";
  static const String SSP_POLL_REJECTED = "0xEC";
  static const String SSP_POLL_STACKING = "0xCC";
  static const String SSP_POLL_STACKED = "0xEB";
  static const String SSP_POLL_SAFE_JAM = "0xEA";
  static const String SSP_POLL_UNSAFE_JAM = "0xE9";
  static const String SSP_POLL_STACKER_FULL = "0xE7";
  static const String SSP_POLL_NOTE_CLEARED_FROM_FRONT = "0xE1";
  static const String SSP_POLL_NOTE_CLEARED_TO_CASHBOX = "0xE2";
  static const String SSP_POLL_CASHBOX_REMOVED = "0xE3";
  static const String SSP_POLL_CASHBOX_REPLACED = "0xE4";
  static const String SSP_POLL_DISABLED = "0xE8";
  static const String SSP_POLL_FRAUD_ATTEMPT = "0xE6";
  static const String SSP_POLL_DISPENSING = "0xDA";
  static const String SSP_POLL_DISPENSED = "0xD2";
  static const String SSP_POLL_EMPTY = "0xD4";
  static const String SSP_POLL_JAMMED = "0xD5";
  static const String SSP_POLL_NOTE_STORED_IN_PAYOUT = "0xDB";
  static const String SSP_POLL_HALTED = "0xD6";
  static const String SSP_POLL_FLOATING = "0xD7";
  static const String SSP_POLL_FLOATED = "0xD8";
  static const String SSP_POLL_TIME_OUT = "0xD9";
  static const String SSP_POLL_INCOMPLETE_PAYOUT = "0xDC";
  static const String SSP_POLL_INCOMPLETE_FLOAT = "0xDD";
  static const String SSP_POLL_CASHBOX_PAID = "0xDE";
  static const String SSP_POLL_EMPTYING = "0xC2";
  static const String SSP_POLL_EMPTIED = "0xC3";
  static const String SSP_POLL_SMART_EMPTYING = "0xB3";
  static const String SSP_POLL_SMART_EMPTIED = "0xB4";
  static const String SSP_POLL_NOTE_IN_BEZEL = "0xCE";
  static const String SSP_POLL_NOTE_PATH_OPEN = "0xE0";
  static const String SSP_POLL_CHANNEL_DISABLE = "0xB5";

  static const String ERR_0x00 = "0x00";
  static const String ERR_0x01 = "0x01";
  static const String ERR_0x02 = "0x02";
  static const String ERR_0x03 = "0x03";
  static const String ERR_0x04 = "0x04";
  static const String ERR_0x05 = "0x05";
  static const String ERR_0x06 = "0x06";
  static const String ERR_0x07 = "0x07";
  static const String ERR_0x08 = "0x08";
  static const String ERR_0x09 = "0x09";
  static const String ERR_0x0A = "0x0A";
  static const String ERR_0x0B = "0x0B";
  static const String ERR_0x0C = "0x0C";
  static const String ERR_0x0D = "0x0D";
  static const String ERR_0x0E = "0x0E";
  static const String ERR_0x0F = "0x0F";
  static const String ERR_0x10 = "0x10";
  static const String ERR_0x11 = "0x11";
  static const String ERR_0x12 = "0x12";
  static const String ERR_0x13 = "0x13";
  static const String ERR_0x14 = "0x14";
  static const String ERR_0x15 = "0x15";
  static const String ERR_0x16 = "0x16";
  static const String ERR_0x17 = "0x17";
  static const String ERR_0x18 = "0x18";
  static const String ERR_0x19 = "0x19";
  static const String ERR_0x1A = "0x1A";

  static getErrorString(String errorCode){
    switch(errorCode){
      case ERR_0x00:
        return "Note accepted";

      case ERR_0x01:
        return "Note length incorrect";

      case ERR_0x02:
        return "Invalid note";

      case ERR_0x03:
        return "Invalid note";

      case ERR_0x04:
        return "Invalid note";

      case ERR_0x05:
        return "Invalid note";

      case ERR_0x06:
        return "Channel inhibited";

      case ERR_0x07:
        return "Second note inserted during read";

      case ERR_0x08:
        return "Host rejected note";

      case ERR_0x09:
        return "Invalid note";

      case ERR_0x0A:
        return "Invalid note read";

      case ERR_0x0B:
        return "Note too long";

      case ERR_0x0C:
        return "Validator disabled";

      case ERR_0x0D:
        return "Mechanism slow/stalled";

      case ERR_0x0E:
        return "Strim attempt";

      case ERR_0x0F:
        return "Fraud channel reject";

      case ERR_0x10:
        return "No notes inserted";

      case ERR_0x11:
        return "Invalid note read";

      case ERR_0x12:
        return "Twisted note detected";

      case ERR_0x13:
        return "Escrow time-out";

      case ERR_0x14:
        return "Bar code scan fail";

      case ERR_0x15:
        return "Invalid note read";

      case ERR_0x16:
        return "Invalid note read";

      case ERR_0x17:
        return "Invalid note read";

      case ERR_0x18:
        return "Invalid note read";

      case ERR_0x19:
        return "Incorrect note width";

      case ERR_0x1A:
        return "Note too short";

      default:
        return "";
    }
  }


}